Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WLECConnectionPoolMBean

public interface WLECConnectionPoolMBean
extends DeploymentMBean

This bean defines a WLEC connection pool.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addFailoverAddress(java.lang.String address)` Adds a feature to the FailoverAddress attribute of the WLECConnectionPoolMBean object
`boolean` | `addPrimaryAddress(java.lang.String address)` Adds a feature to the PrimaryAddress attribute of the WLECConnectionPoolMBean object
`java.lang.String` | `getApplicationPassword()` The password for the application.
`byte[]` | `getApplicationPasswordEncrypted()` The encrypted password for the application.
`java.lang.String[]` | `getFailoverAddresses()` Defines the list of addresses for IIOP Listener/Handlers used if connections defined in the primary addresses cannot be established or fail.
`int` | `getMaximumEncryptionLevel()` Defines the maximum SSL encryption level used between the Tuxedo domain and WebLogic Server.
`int` | `getMaximumPoolSize()` Defines the maximum number of IIOP connections that can be made from the WLEC connection pool.
`int` | `getMinimumEncryptionLevel()` Defines the minimum SSL encryption level used between the Tuxedo domain and WebLogic Server.
`int` | `getMinimumPoolSize()` Defines the number of IIOP connections to be added to the WLEC connection pool when WebLogic Server starts.
`java.lang.String[]` | `getPrimaryAddresses()` Defines the list of addresses for IIOP Listener/Handlers used to establish a connection between the WLEC connection pool and the Tuxedo domain.
`java.lang.String` | `getUserName()` Defines the name of a qualified user.
`java.lang.String` | `getUserPassword()` The password of the qualified user specified in the User Name field.
`byte[]` | `getUserPasswordEncrypted()` The encrypted password of the qualified user specified in the User Name field.
`java.lang.String` | `getUserRole()` Defines the user role for this connection pool.
`java.lang.String` | `getWLEDomain()` Defines the name of the WLEC domain to which the pool is connected.
`boolean` | `isCertificateAuthenticationEnabled()` Defines the state of certificate authentication.
`boolean` | `isSecurityContextEnabled()` Defines the state of the security context the WebLogic Server User passed to the Tuxedo domain.
`boolean` | `removeFailoverAddress(java.lang.String address)`
`boolean` | `removePrimaryAddress(java.lang.String address)`
`void` | `setApplicationPassword(java.lang.String password)` As of 8.1 sp4, this method does the following:
`void` | `setApplicationPasswordEncrypted(byte[] encrytedBytes)` Encrypts and sets the value of the ApplicationPasswordEncrypted attribute.
`void` | `setCertificateAuthenticationEnabled(boolean on)` Sets the certificateAuthenticationEnabled attribute of the WLECConnectionPoolMBean object
`void` | `setFailoverAddresses(java.lang.String[] args)` Sets the failoverAddresses attribute of the WLECConnectionPoolMBean object
`void` | `setMaximumEncryptionLevel(int level)` Sets the maximumEncryptionLevel attribute of the WLECConnectionPoolMBean object
`void` | `setMaximumPoolSize(int size)` Sets the maximumPoolSize attribute of the WLECConnectionPoolMBean object
`void` | `setMinimumEncryptionLevel(int level)` Sets the minimumEncryptionLevel attribute of the WLECConnectionPoolMBean object
`void` | `setMinimumPoolSize(int size)` Sets the minimumPoolSize attribute of the WLECConnectionPoolMBean object
`void` | `setPrimaryAddresses(java.lang.String[] args)` Sets the primaryAddresses attribute of the WLECConnectionPoolMBean object
`void` | `setSecurityContextEnabled(boolean on)` Sets the securityContextEnabled attribute of the WLECConnectionPoolMBean object
`void` | `setUserName(java.lang.String name)` Sets the userName attribute of the WLECConnectionPoolMBean object
`void` | `setUserPassword(java.lang.String password)` As of 8.1 sp4, this method does the following:
`void` | `setUserPasswordEncrypted(byte[] bytes)` Encrypts and sets the value of the UserPasswordEncrypted attribute.
`void` | `setUserRole(java.lang.String role)` Sets the userRole attribute of the WLECConnectionPoolMBean object
`void` | `setWLEDomain(java.lang.String domain)` Sets the wLEDomain attribute of the WLECConnectionPoolMBean object

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getPrimaryAddresses

    public java.lang.String[] getPrimaryAddresses()

  Defines the list of addresses for IIOP Listener/Handlers used to establish a connection between the WLEC connection pool and the Tuxedo domain.

  - The format of each address is `//hostname:port`.
  - The addresses must match the ISL addresses defined in the UBBCONFIG file. Multiple addresses are seperated by semicolons. Example: `//main1.com:1024`;`//main2.com:1044`.
  - To configure the WLEC connection pool to use the SSL protocol, use the corbalocs prefix with the address of the IIOP Listener/Handler. Example: `corbalocs://hostname:port`.

  Returns:
    The primaryAddresses value

### setPrimaryAddresses

    public void setPrimaryAddresses(java.lang.String[] args)
                             throws javax.management.InvalidAttributeValueException

  Sets the primaryAddresses attribute of the WLECConnectionPoolMBean object

  Parameters:
    `args` - The new primaryAddresses value
  Throws:
    javax.management.InvalidAttributeValueException -

### addPrimaryAddress

    public boolean addPrimaryAddress(java.lang.String address)
                              throws javax.management.InvalidAttributeValueException

  Adds a feature to the PrimaryAddress attribute of the WLECConnectionPoolMBean object

  Parameters:
    `address` - The feature to be added to the PrimaryAddress attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -

### removePrimaryAddress

    public boolean removePrimaryAddress(java.lang.String address)

  Parameters:
    `address` -
  Returns:

### getFailoverAddresses

    public java.lang.String[] getFailoverAddresses()

  Defines the list of addresses for IIOP Listener/Handlers used if connections defined in the primary addresses cannot be established or fail. Multiple addresses are separated by semicolons.

  Returns:
    The failoverAddresses value

### setFailoverAddresses

    public void setFailoverAddresses(java.lang.String[] args)
                              throws javax.management.InvalidAttributeValueException

  Sets the failoverAddresses attribute of the WLECConnectionPoolMBean object

  Parameters:
    `args` - The new failoverAddresses value
  Throws:
    javax.management.InvalidAttributeValueException -

### addFailoverAddress

    public boolean addFailoverAddress(java.lang.String address)
                               throws javax.management.InvalidAttributeValueException

  Adds a feature to the FailoverAddress attribute of the WLECConnectionPoolMBean object

  Parameters:
    `address` - The feature to be added to the FailoverAddress attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -

### removeFailoverAddress

    public boolean removeFailoverAddress(java.lang.String address)

  Parameters:
    `address` -
  Returns:

### getMinimumPoolSize

    public int getMinimumPoolSize()

  Defines the number of IIOP connections to be added to the WLEC connection pool when WebLogic Server starts.

  Default Value: 1
  Returns:
    The minimumPoolSize value

### setMinimumPoolSize

    public void setMinimumPoolSize(int size)
                            throws javax.management.InvalidAttributeValueException

  Sets the minimumPoolSize attribute of the WLECConnectionPoolMBean object

  Parameters:
    `size` - The new minimumPoolSize value
  Throws:
    javax.management.InvalidAttributeValueException -

### getMaximumPoolSize

    public int getMaximumPoolSize()

  Defines the maximum number of IIOP connections that can be made from the WLEC connection pool.

  Default Value: 1
  Returns:
    The maximumPoolSize value

### setMaximumPoolSize

    public void setMaximumPoolSize(int size)
                            throws javax.management.InvalidAttributeValueException

  Sets the maximumPoolSize attribute of the WLECConnectionPoolMBean object

  Parameters:
    `size` - The new maximumPoolSize value
  Throws:
    javax.management.InvalidAttributeValueException -

### getUserName

    public java.lang.String getUserName()

  Defines the name of a qualified user. This field is required only when the security level in the Tuxedo domain is USER_AUTH, ACL or MANDATORY_ACL.

  Returns:
    The userName value

### setUserName

    public void setUserName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  Sets the userName attribute of the WLECConnectionPoolMBean object

  Parameters:
    `name` - The new userName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getUserPassword

    public java.lang.String getUserPassword()

  The password of the qualified user specified in the User Name field. This field is required only when you define the User Name field.

  As of 8.1 sp4, the `getUserPassword()` method does the following:

  1. Retrieves the value of the `UserPasswordEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted password as a String.

  Using `getUserPassword()` is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using this method, use `getUserPasswordEncrypted()` to retrieve the encrypted password. On the same WebLogic Server that encrypted the value of the UserPasswordEncrypted attribute, use `weblogic.management.EncryptionHelper.encrypt()` to encrypt the user-supplied password. Then compare the encrypted values.

  A non-configurable MBean attribute.
  Returns:
    The userPassword value
  See Also:
    `getUserPasswordEncrypted()`

### setUserPassword

    public void setUserPassword(java.lang.String password)
                         throws javax.management.InvalidAttributeValueException

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `UserPasswordEncrypted` attribute to the encrypted parameter value.

  A non-configurable MBean attribute.
  Parameters:
    `password` - The new userPassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setUserPasswordEncrypted(byte[] bytes)`

### getUserPasswordEncrypted

    public byte[] getUserPasswordEncrypted()

  The encrypted password of the qualified user specified in the User Name field. This field is required only when you define the User Name field.

  Returns:
    The userPassword value as an encrypted byte array.
  See Also:
    `EncryptionHelper`

### setUserPasswordEncrypted

    public void setUserPasswordEncrypted(byte[] bytes)
                                  throws javax.management.InvalidAttributeValueException

  Encrypts and sets the value of the UserPasswordEncrypted attribute.

  Parameters:
    `bytes` - The new userPassword value as a byte array.
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `getUserPasswordEncrypted()`

### getApplicationPassword

    public java.lang.String getApplicationPassword()

  The password for the application. This field is required when the security level in the Tuxedo domain is APP_PW, USER_AUTH, ACL, or MANDATORY_ACL.

  As of 8.1 sp4, the `getApplicationPassword()` method does the following:

  1. Retrieves the value of the `ApplicationPasswordEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted password as a String.

  Using `getApplicationPassword()` is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using this method, use `getApplicationPasswordEncrypted()` to retrieve the encrypted password. On the same WebLogic Server that encrypted the value of the ApplicationPasswordEncrypted attribute, use `weblogic.management.EncryptionHelper.encrypt()` to encrypt the user-supplied password. Then compare the encrypted values.

  Returns:
    The applicationPassword value
  See Also:
    `getApplicationPasswordEncrypted()`

### setApplicationPassword

    public void setApplicationPassword(java.lang.String password)
                                throws javax.management.InvalidAttributeValueException

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `ApplicationPasswordEncrypted` attribute to the encrypted parameter value.

  Parameters:
    `password` - The new applicationPassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setApplicationPasswordEncrypted(byte[] bytes)`

### getApplicationPasswordEncrypted

    public byte[] getApplicationPasswordEncrypted()

  The encrypted password for the application. This field is required when the security level in the Tuxedo domain is APP_PW, USER_AUTH, ACL, or MANDATORY_ACL.

  Returns:
    The applicationPassword value as an encrypted byte array.
  See Also:
    `EncryptionHelper`

### setApplicationPasswordEncrypted

    public void setApplicationPasswordEncrypted(byte[] encrytedBytes)
                                         throws javax.management.InvalidAttributeValueException

  Encrypts and sets the value of the ApplicationPasswordEncrypted attribute.

  Parameters:
    `encryptedBytes` - The new applicationPassword value as an encrypted byte array.
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `getApplicationPasswordEncrypted()`

### getUserRole

    public java.lang.String getUserRole()

  Defines the user role for this connection pool. This field is required when the security level in the Tuxedo domain is APP_PW, USER_AUTH, ACL, or MANDATORY_ACL.

  Returns:
    The userRole value

### setUserRole

    public void setUserRole(java.lang.String role)
                     throws javax.management.InvalidAttributeValueException

  Sets the userRole attribute of the WLECConnectionPoolMBean object

  Parameters:
    `role` - The new userRole value
  Throws:
    javax.management.InvalidAttributeValueException -

### getWLEDomain

    public java.lang.String getWLEDomain()

  Defines the name of the WLEC domain to which the pool is connected.

  - You can have only one WLEC connection pool per Tuxedo domain.
  - The domain name must match the domainid parameter in the RESOURCES section of the UBBCONFIG file for the Tuxedo domain.

  Returns:
    The wLEDomain value

### setWLEDomain

    public void setWLEDomain(java.lang.String domain)
                      throws javax.management.InvalidAttributeValueException

  Sets the wLEDomain attribute of the WLECConnectionPoolMBean object

  Parameters:
    `domain` - The new wLEDomain value
  Throws:
    javax.management.InvalidAttributeValueException -

### getMinimumEncryptionLevel

    public int getMinimumEncryptionLevel()

  Defines the minimum SSL encryption level used between the Tuxedo domain and WebLogic Server.

  - Zero (0) indicates that the data is signed but not sealed.
  - 40, 56, and 128 specify the length, in bits, of the encryption key.
  - Default value is 40.
  - If this minimum level of encryption is not met, the SSL connection between Tuxedo and WebLogic Server fails.

  Returns:
    The minimumEncryptionLevel value

### setMinimumEncryptionLevel

    public void setMinimumEncryptionLevel(int level)
                                   throws javax.management.InvalidAttributeValueException

  Sets the minimumEncryptionLevel attribute of the WLECConnectionPoolMBean object

  Default Value: 40
  Parameters:
    `level` - The new minimumEncryptionLevel value
  Throws:
    javax.management.InvalidAttributeValueException -

### getMaximumEncryptionLevel

    public int getMaximumEncryptionLevel()

  Defines the maximum SSL encryption level used between the Tuxedo domain and WebLogic Server.

  - Zero (0) indicates that the data is signed but not sealed.
  - 40, 56, and 128 specify the length, in bits, of the encryption key.
  - The default is the maximum level allowed by the Encryption Package kit license.
  - If this minimum level of encryption is not met, the SSL connection between Tuxedo and WebLogic Server fails.

  Returns:
    The maximumEncryptionLevel value

### setMaximumEncryptionLevel

    public void setMaximumEncryptionLevel(int level)
                                   throws javax.management.InvalidAttributeValueException

  Sets the maximumEncryptionLevel attribute of the WLECConnectionPoolMBean object

  Default Value: 128
  Parameters:
    `level` - The new maximumEncryptionLevel value
  Throws:
    javax.management.InvalidAttributeValueException -

### isCertificateAuthenticationEnabled

    public boolean isCertificateAuthenticationEnabled()

  Defines the state of certificate authentication.

  - When you use certificate authentication, WLEC uses the values for the User Name and Application Password fields to create a certificate for WLEC.
  - If you do not use certificate authentication, WLEC uses password authentication or no authentication, depending on the security level of the Tuxedo domain.
  - If password authentication is required, WLEC uses the values for the User Name and User Password fields to authenticate.

  Default Value: false
  Secure Value: true
  Returns:
    The certificateAuthenticationEnabled value

### setCertificateAuthenticationEnabled

    public void setCertificateAuthenticationEnabled(boolean on)

  Sets the certificateAuthenticationEnabled attribute of the WLECConnectionPoolMBean object

  Parameters:
    `on` - The new certificateAuthenticationEnabled value

### isSecurityContextEnabled

    public boolean isSecurityContextEnabled()

  Defines the state of the security context the WebLogic Server User passed to the Tuxedo domain. If selected, security context is enabled.

  Default Value: false
  Secure Value: true
  Returns:
    The securityContextEnabled value

### setSecurityContextEnabled

    public void setSecurityContextEnabled(boolean on)

  Sets the securityContextEnabled attribute of the WLECConnectionPoolMBean object

  Parameters:
    `on` - The new securityContextEnabled value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD